## nom.tam.fits
Class ExtensionHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.ExtensionHDU

Direct Known Subclasses:
  ImageHDU, TableHDU

public abstract class ExtensionHDU
extends BasicHDU

Generic FITS extension methods

Field Summary

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`ExtensionHDU(Header header)` Create an HDU with the specified Header and an empty Data section

Method Summary
`int` `getExtensionLevel()`
`String` `getExtensionName()`
`String` `getExtensionType()`
`int` `getExtensionVersion()`

Methods inherited from class nom.tam.fits.BasicHDU

`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, info, isHeader, manufactureData, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionHDU

    public ExtensionHDU(Header header)

  Create an HDU with the specified Header and an empty Data section

Parameters:
  `header` - the Header

Method Detail

### getExtensionType

    public String getExtensionType()
                            throws FitsException

  Throws:
    `FitsException`

### getExtensionName

    public String getExtensionName()

### getExtensionVersion

    public int getExtensionVersion()

### getExtensionLevel

    public int getExtensionLevel()